Subject: bug#30598: closed (Re: [bug#30598] [PATCH 0/5] gnu: Add youtube-viewer.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 28 Feb 2018 16:08:01 +0000

Your bug report

#30598: [PATCH 0/5] gnu: Add youtube-viewer.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30598: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30598
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#30598] [PATCH 0/5] gnu: Add youtube-viewer.
From: Marius Bakke <[email-masked]>
To: Alex Vong <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 28 Feb 2018 17:07:44 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Alex Vong <[email-masked]> writes:

> Marius Bakke <[email-masked]> writes:
>
>> Alex Vong <[email-masked]> writes:
>>
>>> Tags: patch
>>>
>>> Hello,
>>>
>>> This patch series adds youtube-viewer and its dependencies. It can be
>>> used for searching youtube videos without running javascript. It also
>>> plays nice with tor which is a plus.
>>
>> Thanks for this series!  The patches LGTM, but can you move the perl
>> packages to gtk.scm and glib.scm respectively?  That seems more
>> appropriate, as we already have e.g. pygtk in gtk.scm, and also avoids
>> some top-module cross-references.
>>
>> (Additionally, perl.scm is huge, so it's good to spread the load to
>> appease the Guile compiler)
>>
>> Thanks in advance! :-)
>
> (I messed up my mail settings, so I am re-sending.)
>
> The next patch series should fix everything you've mentioned so far. I
> don't understand why wrap-program is used before but now I do.

Excellent, thank you!  I moved the perl-cairo and perl-pango packages to
gtk.scm as well and pushed the series as b0a2c9cbe..6f45e45d4.

> Thanks for your review also!

:-)

Subject: [PATCH 0/5] gnu: Add youtube-viewer.
From: Alex Vong <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 25 Feb 2018 07:27:20 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Tags: patch

Hello,

This patch series adds youtube-viewer and its dependencies. It can be
used for searching youtube videos without running javascript. It also
plays nice with tor which is a plus.

Cheers,
Alex